/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\weapons\bluelightsaber.cs
Lines of code: 47
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class bluelightsaber : Longsword
	{

		public override int InitMinHits{ get{ return 7; } }
		public override int InitMaxHits{ get{ return 35; } }


		[Constructable]
		public bluelightsaber()
		{
			Name = "Lightsaber";
            Hue = 0x4F2;
			
		
			Weight = 5.0;
			Layer = Layer.OneHanded;
			Attributes.BonusStam = 2 + Utility.Random(10);
			if (Utility.Random(6)==3)Attributes.BonusMana = 2 + Utility.Random(6);
			if (Utility.Random(2)==1)WeaponAttributes.UseBestSkill = 1;
			Attributes.SpellChanneling = 1;	
			if(Utility.Random(2)==0) WeaponAttributes.HitLightning = 0 + Utility.Random(11);
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=100;
			AosElementDamages.Chaos=0;			
		}
		
	/*	public override void GetDamageTypes( Mobile wielder, out int phys, out int fire, out int cold, out int pois, out int nrgy,out int chaos )
		{
			phys = fire = pois = cold = chaos = 0;
			nrgy = 100;
		}*/

		public override bool OnEquip( Mobile from )
		{
		from.PlaySound(532);
		
		
		return base.OnEquip( from );
		}
		
		
		
		public bluelightsaber( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}